Bug 123628 - (SATA SIL)boot-cd kernel hangs initializing serial-ata controller
(SATA SIL)boot-cd kernel hangs initializing serial-ata controller
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-19 14:43 EDT by C. Dominik Bodi
Modified: 2013-07-02 22:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:46:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description C. Dominik Bodi 2004-05-19 14:43:24 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux; de, 
de_DE@euro) (KHTML, like Gecko) 
 
Description of problem: 
When booting from either install cd-1, boot cd or rescue cd, the 
system freezes when the kernel tries to initialize the serial-ata 
controller. 
 
I have an Abit NF7-S v2.0 (bought in the UK) motherboard, that has an 
nvidia NForce2 Ultra 400 MCP-T chipset) an on-board serial-ata 
controller (the manual says it is an Silicon Image Sil 3112A PCI 
controller). I have no drives connected to that computer. 
 
The kernel debug messages do not suggest anything bad happening, I 
can see that the proper driver gets loaded and displays the normal 
diag messages, but it does not print any error messages or warning 
before freezing. I booted from the CDs with no additional kernel 
options. 
 
A possible workaround is to disable the controller in the 
motherboard's BIOS, then the controller will not be recognized and 
the install cd will boot properly. 
 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. Buy the motherboard mentioned above 
2. Enable the on-board sata-controller in the bios. 
3. Watch the system freeze. 
     
 
Actual Results:  I see the normal kernel debug messages, telling me 
that this and that piece of hardware gets initialized. After 
successfully initializing the main IDE controller, the kernel loads 
the Sil-sata driver and tries to initialize the SATA controller. I 
see two or three lines of output then the system freezes. 
 
Expected Results:  The kernel should either successfully initialise 
the controller or not load the driver (which is probably buggy or the 
wrong one for this controller) at all. 
 
Additional info:
Comment 1 Nodrahc Technologies Inc. 2004-06-05 10:00:54 EDT
Same motherboard, similar problems:

1) Booting the succesful install of FC2 (the was done in ATA mode
only) while SATA enabled freezes after a message about audit sucessful.
2) Booting the installation DVD gives me a bunch of errors after
properly detecting my SATA hde drive, it then looks for hdg and never
finds it. Gives a bingh of error messages at that point, stalls a bit,
and goes on.
3) After this, DVD boot continues and takes me all the way to the GUI
page where the install disk is selected. I try to install over my
successful installation (in the hope it will add the ide controller
somehow), I get an error that my swap partition has not been
initialized, and I am asked to reboot.

Notes:
- my HD is an ATA drive used with Abit's Serillel 2 adapter
- Windows XP Pro "dual boots" fine on this machine
- hda1: master ATA DVD drive
- hde1: master SATA hard drive
Comment 2 Nodrahc Technologies Inc. 2004-06-05 10:25:35 EDT
Update on my actual error messages:

Booting old install:

Uncompressing Linux:... Ok, booting the kernel
audit(1086429878.4294969723:0): initialized

then freezes


Booting DVD:

[...]
SiI3112 Serial ATA: IDE controller at PCI slot 0000:01:0b.0
SiI3112 Serial ATA: chipset revision 2
SiI3112 Serial ATA: 100% native mode on irq 11
    ide2: MMIO-DMA, BIOS settings: hde: DMA, hdf: DMA
    ide3: MMIO-DMA, BIOS settings: hdg: pio, hdh: pio
hde: Maxtor 6Y160P0, ATA Disk Drive
ide2 at 0xf884d080-0xf884d087,0xf884d08a on irq 11
hdg: no response (Status: 0xfe)
hdg: no response (Status: 0xfe), resetting drive
hdg: no response (Status: 0xfe)
 
and it does this a bunch of times before going on with the booting,
but the drive is not working properly.

FYI, the SATA Raid BIOS version is 4.2.47
Comment 3 Claudio Bantaloukas 2004-06-05 14:12:45 EDT
Same problem here, even though I was able to use the hard drive after
the initial delay.

Symptoms:

- First disk found
- Probes for second disk
- gives hdg: no response a couple of times
- floods the logs with 
hde: sata_error = 0x00000000, watchdog = 0, siimage_mmio_ide_dma_test_irq
messages
Comment 4 Jeff Garzik 2005-03-25 02:42:13 EST
FYI, http://lkml.org/lkml/2005/3/25/33
Comment 5 Dave Jones 2005-04-16 00:46:49 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.